Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sim.portrayal3d.simple
Class Arrow

    java.lang.Object
      sim.portrayal3d.simple.Arrow

public class Arrow
extends java.lang.Object

Field Summary
`static javax.vecmath.Color3f` | `defaultArrowColor`
`static javax.vecmath.Color3f` | `defaultLabelColor`
`static javax.media.j3d.Font3D` | `f3d`
`static int` | `size`

Constructor Summary
`Arrow()`

Method Summary
`static javax.media.j3d.TransformGroup` | `createArrow(float ArrowDia, javax.vecmath.Vector3f stPt, javax.vecmath.Vector3f endPt, java.lang.String stLabel, java.lang.String endLabel)` Creates a 3D arrow between points `stPt` and `endPt` if either label is not null, it adds a Text2D obect at the appropriate end.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defaultArrowColor

    public static javax.vecmath.Color3f defaultArrowColor

### defaultLabelColor

    public static javax.vecmath.Color3f defaultLabelColor

### f3d

    public static javax.media.j3d.Font3D f3d

### size

    public static int size

Constructor Detail

### Arrow

    public Arrow()

Method Detail

### createArrow

    public static javax.media.j3d.TransformGroup createArrow(float ArrowDia,
                                                             javax.vecmath.Vector3f stPt,
                                                             javax.vecmath.Vector3f endPt,
                                                             java.lang.String stLabel,
                                                             java.lang.String endLabel)

  Creates a 3D arrow between points `stPt` and `endPt` if either label is not null, it adds a Text2D obect at the appropriate end.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD